Mandriva 2006 vs Nvidia x86-1.0-7182

6 risposte [Ultimo messaggio]
Ritratto di pao-nao
pao-nao
(Newbie)
Offline
Newbie
Iscritto: 04/07/2006
Messaggi: 4

Ciao Smile
Premetto che sono un neofita di Linux ^^

Ho installato la Mandriva 2006 sul mio pc, un p3 800 384 ram con una scheda video Tnt2.. e installando i drivers "NVIDIA-Linux-x86-1.0-7182-pkg1.run" iniziano i problemi Sad

I primi problemi dovuti alla mancanza della utility "LD" li ho risolti installando i "Binutils"; il secondo problema "Unable to find the kernel source for the currently running kernel" lo ho pure risolto Smile .. ora xo SEMPRE loggandomi come root FUORI da X ho riscontrato questo problema a cui non so dare rimedio :

"Unable to load the kernel module 'NVIDIA.Ko' This happens most frequently when this kernel module was built against the wrong or improperly configured kernel sources, with a version of GCC the differs from the one used to build the target kernel or if a driver such as RivaFB/NvidiaFB is present and Prevents the Nvidia kernel module from obtaining ownership of the Nvidia Graphics Device"

Qualcuno sa forse come aiutarmi ?
Grazie,
pao Smile

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao e Benvenuto tra noi.

Ti dico subito di lasciar perdere i bin di NVidia e di utilizzare i comodissimi pacchetti DKMS forniti da PLF.

Dai un occhiata al mio bigino che trovi qui http://www.mandrakeitalia.org/modules/wfsection/article.php?articleid=103

dove si parla anche dei driver NVIDIA.

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di pao-nao
pao-nao
(Newbie)
Offline
Newbie
Iscritto: 04/07/2006
Messaggi: 4

ciao grazie della risposta superveloce Smile

ho dato un occhiata al tuo Bigino Smile ma ho un dubbio.. con la mia scheda video vecchio-mammut "Tnt2" ho in precedenza invano provato ad installare i driver nuovi "x86-1.0-8762-pkg1" mentre invece quelli 7182 andavano anche se alla fine non riuscivano ad installarsi (vedi primo post).. i driver che suggerisci tu, gli 8178, pensi che possano andar bene con la mia scheda ?

grazie ancora,
pao Smile

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

No per le vecchie schede è meglio utilizzare il legacy che comunque trovi in PLF.

Comunque XOrg 6.9 contiene al suo internro dei driver di accelerazione per le schede più datate prova prima con glxgears a vedere se la velocità è ragionevole.

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di pao-nao
pao-nao
(Newbie)
Offline
Newbie
Iscritto: 04/07/2006
Messaggi: 4

ciao Smile
c'è un problema.. vorrei usare linux anche per giocare online ad un mod per Return to Castle Wolfenstein che utilizza le Open GL (ecco anche il xq di tutti i miei problemi con i drivers nvidia Thinking (Il gioco in questione è Enemy Territory..)

grazie ancora,
pao

Ritratto di pao-nao
pao-nao
(Newbie)
Offline
Newbie
Iscritto: 04/07/2006
Messaggi: 4

sempre io ^^

ho dato:

1)su
2)la password
3)urpmi dkms-nvidia_legacy

ma mi da queste righe di errore:

Quote:

[root@localhost paolo]# urpmi dkms-nvidia_legacy
Per soddisfare le dipendenze, saranno installati i seguenti 5 pacchetti (16 MB):
dkms-2.0.5.9-3mdk.noarch
dkms-minimal-2.0.5.9-3mdk.noarch
dkms-nvidia_legacy-7182-0.1.20060plf.i586
libnvidia_legacy-xorg1-7182-0.1.20060plf.i586
nvidia_legacy-xorg-7182-0.1.20060plf.i586
E' corretto? (S/n) s

ftp://bo.mirror.garr.it/mirrors/Mandrake/official/2006.0/i586/media/main/dkms-minimal-2.0.5.9-3mdk.noarch.rpm
ftp://bo.mirror.garr.it/mirrors/Mandrake/official/2006.0/i586/media/main/dkms-2.0.5.9-3mdk.noarch.rpm
ftp://ftp.univ-orleans.fr/logiciel-libre/plf/mandriva/non-free/2006.0/i586/./dkms-nvidia_legacy-7182-0.1.20060plf.i586.rpm
ftp://ftp.univ-orleans.fr/logiciel-libre/plf/mandriva/non-free/2006.0/i586/./nvidia_legacy-xorg-7182-0.1.20060plf.i586.rpm
ftp://ftp.univ-orleans.fr/logiciel-libre/plf/mandriva/non-free/2006.0/i586/./libnvidia_legacy-xorg1-7182-0.1.20060plf.i586.rpm
installazione di dkms-nvidia_legacy-7182-0.1.20060plf.i586.rpm nvidia_legacy-xorg-7182-0.1.20060plf.i586.rpm dkms-minimal-2.0.5.9-3mdk.noarch.rpm libnvidia_legacy-xorg1-7182-0.1.20060plf.i586.rpm dkms-2.0.5.9-3mdk.noarch.rpm da /var/cache/urpmi/rpms
In preparazione... #############################################
1/5: dkms-minimal #############################################
2/5: dkms #############################################
3/5: dkms-nvidia_legacy #############################################

Creating symlink /var/lib/dkms/nvidia_legacy/7182-0.1.20060plf/source ->
/usr/src/nvidia_legacy-7182-0.1.20060plf

DKMS: add Completed.

Error! Your kernel source for kernel 2.6.12-12mdk cannot be found at
/lib/modules/2.6.12-12mdk/build or /lib/modules/2.6.12-12mdk/source.
You can use the --kernelsourcedir option to tell DKMS where it's located.

Error! Could not locate nvidia.ko.gz for module nvidia_legacy in the DKMS tree.
You must run a dkms build for kernel 2.6.12-12mdk (i586) first.
4/5: nvidia_legacy-xorg #############################################
5/5: libnvidia_legacy-xorg1#############################################
[root@localhost paolo]#

Ritratto di cirax
cirax
(Geek)
Offline
Geek
Iscritto: 25/10/2004
Messaggi: 187

Ciao,

installa il kernel-source del kernel da te usato, inoltre devi modificare /etc/X11/xorg.conf nella sezione Device da Driver "nv" in Driver "nvidia".

Per usare le openGL nella sezione Module commenta Load "glx" e scvivi Load "/usr/X11R6/lib/modules/extensions/nvidia/libglx.so", verifica il percorso ma dovrebbe essere uguale...

ciao ciao...


"piscio sui pomponi e sui cilindri dispari!"
da Ed il polso del Joe Bar Team